# Uses of Interface
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricDefinition.AttributeValue

Packages that use TelemetryMetricDefinition.AttributeValue
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

## Uses of TelemetryMetricDefinition.AttributeValue in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

Classes in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util that implement TelemetryMetricDefinition.AttributeValue
Modifier and Type
Class
Description
`static enum`
`TelemetryMetricDefinition.BulkheadResult`
`static enum`
`TelemetryMetricDefinition.CircuitBreakerResult`
`static enum`
`TelemetryMetricDefinition.CircuitBreakerState`
`static enum`
`TelemetryMetricDefinition.InvocationFallback`
`static enum`
`TelemetryMetricDefinition.InvocationResult`
`static enum`
`TelemetryMetricDefinition.RetryResult`
`static enum`
`TelemetryMetricDefinition.RetryRetried`
`static enum`
`TelemetryMetricDefinition.TimeoutTimedOut`
Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util that return TelemetryMetricDefinition.AttributeValue
Modifier and Type
Method
Description
`static final TelemetryMetricDefinition.AttributeValue[][]`
TelemetryMetricGetter.`getTagCombinations(Class<? extends TelemetryMetricDefinition.AttributeValue>... tagValueClazzes)`
Computes all possible values for a set of tags.
Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util that return types with arguments of type TelemetryMetricDefinition.AttributeValue
Modifier and Type
Method
Description
`Class<? extends TelemetryMetricDefinition.AttributeValue>[]`
TelemetryMetricDefinition.`getAttributeClasses()`
The tags which are applied to this metric